# gupnp_root_device_start

(PECL gupnp >= 0.1.0)

gupnp_root_device_start — Start main loop

### Description

gupnp_root_device_start ( resource `$root_device` ) : bool

Start root server's main loop.

### Parameters

`root_device`

  A root device identifier, returned by gupnp_root_device_new().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- gupnp_root_device_stop() - Stop main loop